They Need To Be Fed 2.0.0 (v2.0.0) Android Apk Game

Friday, August 19, 2011

They Need To Be Fed v2.0.0
Requirements: for Android version 2.1 and higher, supports App2SD
Overview: Run and jump through 7 crazy worlds to feed the monsters. It doesn't matter which way you go: You can't fall off because of the 360°gravity. Jump from rotating planes to moving ones, avoid dangers and collect diamonds.

Share this Article on :

0 comments:

Post a Comment

 
© Copyright download aplikasi android 2012 | Powered by Blogger.com.